# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ProductCategory Class Reference

`#include <StepBasic_ProductCategory.hxx>`

Inheritance diagram for StepBasic_ProductCategory:

[legend]

## Public Member Functions

Standard_EXPORT | StepBasic_ProductCategory ()
| Returns a ProductCategory .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Boolean hasAdescription, const Handle(TCollection_HAsciiString)&aDescription)
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&aDescription)
Standard_EXPORT void | UnSetDescription ()
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
Standard_EXPORT Standard_Boolean | HasDescription () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | name
Handle_TCollection_HAsciiString | description
Standard_Boolean | hasDescription

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ProductCategory::StepBasic_ProductCategory | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_ProductCategory::Description | ( |  | ) | const

Standard_EXPORT const StepBasic_ProductCategory::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepBasic_ProductRelatedProductCategory, and StepBasic_ProductType.

Standard_EXPORT Standard_Boolean StepBasic_ProductCategory::HasDescription | ( |  | ) | const

virtual Standard_EXPORT void StepBasic_ProductCategory::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Boolean | hasAdescription,
|  | const Handle(TCollection_HAsciiString)& | aDescription
| ) | `[virtual]`

| Reimplemented in StepBasic_ProductRelatedProductCategory.

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_ProductCategory::Name | ( |  | ) | const

Standard_EXPORT void StepBasic_ProductCategory::SetDescription | ( | const Handle(TCollection_HAsciiString)& | aDescription | ) |

Standard_EXPORT void StepBasic_ProductCategory::SetName | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

Standard_EXPORT void StepBasic_ProductCategory::UnSetDescription | ( |  | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepBasic_ProductCategory::description `[private]`

Standard_Boolean StepBasic_ProductCategory::hasDescription `[private]`

Handle_TCollection_HAsciiString StepBasic_ProductCategory::name `[private]`

The documentation for this class was generated from the following file:

- StepBasic_ProductCategory.hxx